#### Previous topic

scipy.special.laguerre

#### Next topic

scipy.special.hermite

# scipy.special.genlaguerre

`scipy.special.``genlaguerre`(n, alpha, monic=False)

  Generalized (associated) Laguerre polynomial.

  Defined to be the solution of

  \[x\frac{d^2}{dx^2}L_n^{(\alpha)} + (\alpha + 1 - x)\frac{d}{dx}L_n^{(\alpha)} + nL_n^{(\alpha)} = 0,\]

  where \(\alpha > -1\); \(L_n^{(\alpha)}\) is a polynomial of degree \(n\).

  Parameters:

  n : int

  > Degree of the polynomial.

  alpha : float

  > Parameter, must be greater than -1.

  monic : bool, optional

  > If True, scale the leading coefficient to be 1. Default is False.

  Returns:

  L : orthopoly1d

  > Generalized Laguerre polynomial.

  See also

  `laguerre`
    Laguerre polynomial.

  Notes

  For fixed \(\alpha\), the polynomials \(L_n^{(\alpha)}\) are orthogonal over \([0, \infty)\) with weight function \(e^{-x}x^\alpha\).

  The Laguerre polynomials are the special case where \(\alpha = 0\).